Apply r12809 to 8.09 branch: Correct /etc/shadow and allow dropbear shadow pwds
[openwrt/svn-archive/archive.git] / package / wpa_supplicant / Makefile
index a551c14..ed6e455 100644 (file)
@@ -16,6 +16,8 @@ PKG_MD5SUM:=b51b2975f21006f85f7297f3fb1acde1
 PKG_SOURCE_URL:=http://hostap.epitest.fi/releases
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
 
+PKG_BUILD_DEPENDS:=madwifi
+
 include $(INCLUDE_DIR)/package.mk
 STAMP_CONFIGURED:=$(STAMP_CONFIGURED)_$(call confvar,CONFIG_PACKAGE_kmod-madwifi CONFIG_WPA_SUPPLICANT_NO_TIMESTAMP_CHECK)
 
@@ -73,6 +75,8 @@ define Package/wpa-supplicant/install
                $(PKG_BUILD_DIR)/wpa_supplicant/wpa_supplicant \
                $(PKG_BUILD_DIR)/wpa_supplicant/wpa_passphrase \
                $(1)/usr/sbin/
+       $(INSTALL_DIR) $(1)/lib/wifi
+       $(INSTALL_DATA) ./files/wpa_supplicant.sh $(1)/lib/wifi/wpa_supplicant.sh
 endef
 
 define Package/wpa-cli/install